package portoapplikation;

public class Brief extends Postprodukt {

  // Anfang Attribute
private Briefformat briefformat;
  // Ende Attribute

//Konstruktor
public Brief(Briefformat briefformat, double gewicht, double entfernung){
  super(Produktart.BRIEF,gewicht,entfernung);
  this.briefformat = briefformat;
}

  // Anfang Methoden
  public Briefformat getBriefformat() {
    return briefformat;
  }

  public void setBriefformat(Briefformat briefformat) {
    this.briefformat = briefformat;
  }

/* /F20/ Überschriebene Methode Portoberechnung für Briefe */
 @Override public double getPorto() {
      double porto = super.getPorto();
      if (briefformat == Briefformat.C5)
          porto *= 1.2;
      else if (briefformat == Briefformat.C4)
          porto *=  1.4;
      if (gewicht > 100)
          porto *= 2;
      return porto;     
  }
  // Ende Methoden
}
