package portoapplikation;
public class Paket extends Postprodukt{
  // Anfang Attribute
  private Paketformat paketformat;
  private double laenge;
  private double breite;
  private double hoehe;
  // Ende Attribute

public Paket(Paketformat paketformat, double gewicht, double entfernung,
       double laenge, double breite, double hoehe){
  super(Produktart.PAKET,gewicht,entfernung);
  this.paketformat = paketformat;
  this.laenge = laenge;
  this.breite = breite;
  this.hoehe = hoehe;
}
  // Anfang Methoden
  public double getLaenge() {
    return laenge;
  }

  public void setLaenge(double laenge) {
    this.laenge = laenge;
  }
  public double getBreite() {
    return breite;
  }

  public void setBreite(double breite) {
    this.breite = breite;
  }
  public double getHoehe() {
    return hoehe;
  }

  public void setHoehe(double hoehe) {
    this.hoehe = hoehe;
  }
  
  public Paketformat getPaketformat() {
    return paketformat;
  }

  public void setPaketformat(Paketformat paketformat) {
    this.paketformat = paketformat;
  }
  
 @Override public double getPorto() {
      double porto = 200;
      if (paketformat == Paketformat.SPERRGUT)
          porto *= 3;
      porto += Math.ceil(entfernung / 100) * 50 + Math.ceil(gewicht /1000) * 30;
      porto += 4 * 0.1/100 * laenge*breite*hoehe;
      return porto;
  }
  // Ende Methoden
}
