package portoapplikation;
public abstract class Postprodukt {
    
    private Produktart produktart;
    protected double gewicht;
    protected double entfernung;
    
    public Postprodukt(Produktart produktart, double gewicht, double entfernung){
      this.produktart = produktart;
      this.gewicht = gewicht;
      this.entfernung = entfernung;
    }
    
    public Produktart getProduktart(){
      return produktart;
    }

    /* /F10/ Portoberechnung für alle Postprodukte */
    public double getPorto(){
      return 30 + entfernung * 0.05;
    }

   /* /F40 Ausgabe des berechneten Portos */
    @Override
    public String toString(){
        return "Produktart: " + getProduktart() +
               ", Porto: " + String.format("%.2f EUR", getPorto()/100);
    }
}